import SchedulesOverridesList from "../../Models/SchedulesOverrides/SchedulesOverrides";
import {
    ISchedulesOverrides,
    CreateSchedulesOverridesParams,
    UpdateSchedulesOverridesParams,
    DeleteSchedulesOverridesParams,
    FindSchedulesOverridesParams,
} from "../../Models/SchedulesOverrides/SchedulesOverrides.Interface";

export class SchedulesOverridesService {
    public async createSchedulesOverrides(
        data: CreateSchedulesOverridesParams
    ): Promise<ISchedulesOverrides> {
        return await SchedulesOverridesList.createSchedulesOverrides(data);
    }

    public async updateSchedulesOverrides(data: UpdateSchedulesOverridesParams): Promise<void> {
        await SchedulesOverridesList.updateSchedulesOverrides(data);
    }

    public async deleteSchedulesOverrides(data: DeleteSchedulesOverridesParams): Promise<void> {
        await SchedulesOverridesList.delete(data);
    }

    public async getSchedulesOverrides(
        data: FindSchedulesOverridesParams
    ): Promise<ISchedulesOverrides[]> {
        return await SchedulesOverridesList.find(data);
    }
}
